Subject: Re: bug#9224: Scrolling bugs and word wrapping

From: Antoine Levitt <[email-masked]>
Date: Fri, 05 Aug 2011 16:05:45 +0200

02/08/11 22:34, Antoine Levitt
> 02/08/11 21:05, Eli Zaretskii
>>> From: Antoine Levitt <[email-masked]>
>>> Date: Tue, 02 Aug 2011 20:01:33 +0200
>>> 
>>> (setq-default word-wrap t)
>>> C-x C-f scrolling-fail.el
>>> position point on "b"
>>> C-p, watch point going to beginning of line instead of previous line
>>> 
>>> This started quite recently, and fails even with (setq
>>> bidi-display-reordering nil)
>>
>> Could you please bisect to find the offending commit?  It's probably
>> my fault, even though it fails without bidi.
>>
>> TIA
>
> Turns out I'm a moron. It only fails with bidi on. That's my fault for
> using setq and not setq-default.

Fixed now, thanks!

The memory bug also seems fixed, I'll report back if I see any increase.